Skip to main content
POST
/
bbps
/
cou
/
v1
/
billers
/
info
Fetch Billers Info
curl --request POST \
  --url https://sandbox.cashfree.com/bbps/cou/v1/billers/info \
  --header 'Content-Type: application/json' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "biller_fetch_request": {
    "biller_id": [
      "OBNSTNS00NAT01"
    ],
    "biller_category_name": [
      "DTH"
    ]
  }
}
'
{
  "status": "OK",
  "message": "Billers info fetched successfully",
  "data": [
    {
      "biller_id": "NETFLIX00NAT02",
      "biller_alias_name": "Netflix - Dummy",
      "biller_name": "Netflix - Dummy",
      "biller_category_name": "Subscription",
      "biller_mode": "ONLINE",
      "biller_accepts_adhoc": true,
      "biller_coverage": "IND",
      "fetch_requirement": "NOT_SUPPORTED",
      "payment_amount_exactness": "Exact",
      "support_bill_validation": "MANDATORY",
      "biller_effctv_from": "2021-01-15",
      "biller_effctv_to": "2031-12-31",
      "biller_ownership": "Private",
      "status": "ACTIVE",
      "plan_mdm_requirement": "MANDATORY",
      "biller_customer_params": [
        {
          "param_name": "Customer Mobile Number",
          "data_type": "NUMERIC",
          "optional": true,
          "min_length": 10,
          "max_length": 10,
          "regex": "^[6-9]{1}[0-9]{9}$",
          "visibility": true
        }
      ],
      "biller_payment_modes": [
        {
          "payment_mode": "UPI",
          "min_limit": 1,
          "max_limit": 1,
          "support_pending_status": "Yes"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

Your unique client secret issued by Cashfree. Keep this confidential and never expose it in client-side code. You can find this in your Merchant Dashboard.

Body

application/json

Request parameters to fetch biller catalog and MDM details.

biller_fetch_request
object

Filter criteria. If omitted, all billers are returned. If both biller_id and biller_category_name are provided, results are a union.

Response

Success response for fetching the complete catalog and MDM details of billers registered under BBPS.

status
string
Example:

"OK"

message
string
Example:

"Billers info fetched successfully"

data
object[]